Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class EXTTextureInteger

    java.lang.Object
      org.lwjgl.opengl.EXTTextureInteger

    public final class EXTTextureInteger

extends java.lang.Object

Field Summary
`static int` | `GL_ALPHA_INTEGER_EXT`
`static int` | `GL_ALPHA16I_EXT`
`static int` | `GL_ALPHA16UI_EXT`
`static int` | `GL_ALPHA32I_EXT`
`static int` | `GL_ALPHA32UI_EXT`
`static int` | `GL_ALPHA8I_EXT`
`static int` | `GL_ALPHA8UI_EXT`
`static int` | `GL_BGR_INTEGER_EXT`
`static int` | `GL_BGRA_INTEGER_EXT`
`static int` | `GL_BLUE_INTEGER_EXT`
`static int` | `GL_GREEN_INTEGER_EXT`
`static int` | `GL_INTENSITY16I_EXT`
`static int` | `GL_INTENSITY16UI_EXT`
`static int` | `GL_INTENSITY32I_EXT`
`static int` | `GL_INTENSITY32UI_EXT`
`static int` | `GL_INTENSITY8I_EXT`
`static int` | `GL_INTENSITY8UI_EXT`
`static int` | `GL_LUMINANCE_ALPHA_INTEGER_EXT`
`static int` | `GL_LUMINANCE_ALPHA16I_EXT`
`static int` | `GL_LUMINANCE_ALPHA16UI_EXT`
`static int` | `GL_LUMINANCE_ALPHA32I_EXT`
`static int` | `GL_LUMINANCE_ALPHA32UI_EXT`
`static int` | `GL_LUMINANCE_ALPHA8I_EXT`
`static int` | `GL_LUMINANCE_ALPHA8UI_EXT`
`static int` | `GL_LUMINANCE_INTEGER_EXT`
`static int` | `GL_LUMINANCE16I_EXT`
`static int` | `GL_LUMINANCE16UI_EXT`
`static int` | `GL_LUMINANCE32I_EXT`
`static int` | `GL_LUMINANCE32UI_EXT`
`static int` | `GL_LUMINANCE8I_EXT`
`static int` | `GL_LUMINANCE8UI_EXT`
`static int` | `GL_RED_INTEGER_EXT` Accepted by the <format> parameter of TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, DrawPixels and ReadPixels:
`static int` | `GL_RGB_INTEGER_EXT`
`static int` | `GL_RGB16I_EXT`
`static int` | `GL_RGB16UI_EXT`
`static int` | `GL_RGB32I_EXT`
`static int` | `GL_RGB32UI_EXT`
`static int` | `GL_RGB8I_EXT`
`static int` | `GL_RGB8UI_EXT`
`static int` | `GL_RGBA_INTEGER_EXT`
`static int` | `GL_RGBA_INTEGER_MODE_EXT` Accepted by the <pname> parameters of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` | `GL_RGBA16I_EXT`
`static int` | `GL_RGBA16UI_EXT`
`static int` | `GL_RGBA32I_EXT`
`static int` | `GL_RGBA32UI_EXT` Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static int` | `GL_RGBA8I_EXT`
`static int` | `GL_RGBA8UI_EXT`

Method Summary
`static void` | `glClearColorIiEXT(int r, int g, int b, int a)`
`static void` | `glClearColorIuiEXT(int r, int g, int b, int a)`
`static void` | `glGetTexParameterIEXT(int target, int pname, java.nio.IntBuffer params)`
`static void` | `glGetTexParameterIuEXT(int target, int pname, java.nio.IntBuffer params)`
`static void` | `glTexParameterIEXT(int target, int pname, java.nio.IntBuffer params)`
`static void` | `glTexParameterIuEXT(int target, int pname, java.nio.IntBuffer params)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_RGBA_INTEGER_MODE_EXT

    public static final int GL_RGBA_INTEGER_MODE_EXT

  Accepted by the <pname> parameters of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_RGBA32UI_EXT

    public static final int GL_RGBA32UI_EXT

  Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

  See Also:
    Constant Field Values

### GL_RGB32UI_EXT

    public static final int GL_RGB32UI_EXT

See Also:
  Constant Field Values

### GL_ALPHA32UI_EXT

    public static final int GL_ALPHA32UI_EXT

See Also:
  Constant Field Values

### GL_INTENSITY32UI_EXT

    public static final int GL_INTENSITY32UI_EXT

See Also:
  Constant Field Values

### GL_LUMINANCE32UI_EXT

    public static final int GL_LUMINANCE32UI_EXT

See Also:
  Constant Field Values

### GL_LUMINANCE_ALPHA32UI_EXT

    public static final int GL_LUMINANCE_ALPHA32UI_EXT

See Also:
  Constant Field Values

### GL_RGBA16UI_EXT

    public static final int GL_RGBA16UI_EXT

See Also:
  Constant Field Values

### GL_RGB16UI_EXT

    public static final int GL_RGB16UI_EXT

See Also:
  Constant Field Values

### GL_ALPHA16UI_EXT

    public static final int GL_ALPHA16UI_EXT

See Also:
  Constant Field Values

### GL_INTENSITY16UI_EXT

    public static final int GL_INTENSITY16UI_EXT

See Also:
  Constant Field Values

### GL_LUMINANCE16UI_EXT

    public static final int GL_LUMINANCE16UI_EXT

See Also:
  Constant Field Values

### GL_LUMINANCE_ALPHA16UI_EXT

    public static final int GL_LUMINANCE_ALPHA16UI_EXT

See Also:
  Constant Field Values

### GL_RGBA8UI_EXT

    public static final int GL_RGBA8UI_EXT

See Also:
  Constant Field Values

### GL_RGB8UI_EXT

    public static final int GL_RGB8UI_EXT

See Also:
  Constant Field Values

### GL_ALPHA8UI_EXT

    public static final int GL_ALPHA8UI_EXT

See Also:
  Constant Field Values

### GL_INTENSITY8UI_EXT

    public static final int GL_INTENSITY8UI_EXT

See Also:
  Constant Field Values

### GL_LUMINANCE8UI_EXT

    public static final int GL_LUMINANCE8UI_EXT

See Also:
  Constant Field Values

### GL_LUMINANCE_ALPHA8UI_EXT

    public static final int GL_LUMINANCE_ALPHA8UI_EXT

See Also:
  Constant Field Values

### GL_RGBA32I_EXT

    public static final int GL_RGBA32I_EXT

See Also:
  Constant Field Values

### GL_RGB32I_EXT

    public static final int GL_RGB32I_EXT

See Also:
  Constant Field Values

### GL_ALPHA32I_EXT

    public static final int GL_ALPHA32I_EXT

See Also:
  Constant Field Values

### GL_INTENSITY32I_EXT

    public static final int GL_INTENSITY32I_EXT

See Also:
  Constant Field Values

### GL_LUMINANCE32I_EXT

    public static final int GL_LUMINANCE32I_EXT

See Also:
  Constant Field Values

### GL_LUMINANCE_ALPHA32I_EXT

    public static final int GL_LUMINANCE_ALPHA32I_EXT

See Also:
  Constant Field Values

### GL_RGBA16I_EXT

    public static final int GL_RGBA16I_EXT

See Also:
  Constant Field Values

### GL_RGB16I_EXT

    public static final int GL_RGB16I_EXT

See Also:
  Constant Field Values

### GL_ALPHA16I_EXT

    public static final int GL_ALPHA16I_EXT

See Also:
  Constant Field Values

### GL_INTENSITY16I_EXT

    public static final int GL_INTENSITY16I_EXT

See Also:
  Constant Field Values

### GL_LUMINANCE16I_EXT

    public static final int GL_LUMINANCE16I_EXT

See Also:
  Constant Field Values

### GL_LUMINANCE_ALPHA16I_EXT

    public static final int GL_LUMINANCE_ALPHA16I_EXT

See Also:
  Constant Field Values

### GL_RGBA8I_EXT

    public static final int GL_RGBA8I_EXT

See Also:
  Constant Field Values

### GL_RGB8I_EXT

    public static final int GL_RGB8I_EXT

See Also:
  Constant Field Values

### GL_ALPHA8I_EXT

    public static final int GL_ALPHA8I_EXT

See Also:
  Constant Field Values

### GL_INTENSITY8I_EXT

    public static final int GL_INTENSITY8I_EXT

See Also:
  Constant Field Values

### GL_LUMINANCE8I_EXT

    public static final int GL_LUMINANCE8I_EXT

See Also:
  Constant Field Values

### GL_LUMINANCE_ALPHA8I_EXT

    public static final int GL_LUMINANCE_ALPHA8I_EXT

See Also:
  Constant Field Values

### GL_RED_INTEGER_EXT

    public static final int GL_RED_INTEGER_EXT

  Accepted by the <format> parameter of TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, DrawPixels and ReadPixels:

  See Also:
    Constant Field Values

### GL_GREEN_INTEGER_EXT

    public static final int GL_GREEN_INTEGER_EXT

See Also:
  Constant Field Values

### GL_BLUE_INTEGER_EXT

    public static final int GL_BLUE_INTEGER_EXT

See Also:
  Constant Field Values

### GL_ALPHA_INTEGER_EXT

    public static final int GL_ALPHA_INTEGER_EXT

See Also:
  Constant Field Values

### GL_RGB_INTEGER_EXT

    public static final int GL_RGB_INTEGER_EXT

See Also:
  Constant Field Values

### GL_RGBA_INTEGER_EXT

    public static final int GL_RGBA_INTEGER_EXT

See Also:
  Constant Field Values

### GL_BGR_INTEGER_EXT

    public static final int GL_BGR_INTEGER_EXT

See Also:
  Constant Field Values

### GL_BGRA_INTEGER_EXT

    public static final int GL_BGRA_INTEGER_EXT

See Also:
  Constant Field Values

### GL_LUMINANCE_INTEGER_EXT

    public static final int GL_LUMINANCE_INTEGER_EXT

See Also:
  Constant Field Values

### GL_LUMINANCE_ALPHA_INTEGER_EXT

    public static final int GL_LUMINANCE_ALPHA_INTEGER_EXT

See Also:
  Constant Field Values

Method Detail

### glClearColorIiEXT

    public static void glClearColorIiEXT(int r,
                                         int g,
                                         int b,
                                         int a)

### glClearColorIuiEXT

    public static void glClearColorIuiEXT(int r,
                                          int g,
                                          int b,
                                          int a)

### glTexParameterIEXT

    public static void glTexParameterIEXT(int target,
                                          int pname,
                                          java.nio.IntBuffer params)

### glTexParameterIuEXT

    public static void glTexParameterIuEXT(int target,
                                           int pname,
                                           java.nio.IntBuffer params)

### glGetTexParameterIEXT

    public static void glGetTexParameterIEXT(int target,
                                             int pname,
                                             java.nio.IntBuffer params)

### glGetTexParameterIuEXT

    public static void glGetTexParameterIuEXT(int target,
                                              int pname,
                                              java.nio.IntBuffer params)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.